const CracoAlias = require("craco-alias");

module.exports = {
    webpack: {
        configure: webpackConfig => {

            // ts-loader is required to reference external typescript projects/files (non-transpiled)
            webpackConfig.module.rules.push({
                test: /\.tsx?$/,
                loader: 'ts-loader',
                exclude: /node_modules/,
                options: {
                    transpileOnly: true,
                    configFile: 'tsconfig.json',
                },
            })

            return webpackConfig;
        }
    },

    plugins: [
        {
            plugin: CracoAlias,
            options: {
                source: "options",
                baseUrl: "./src/app/",
                aliases: {
                    "@file": "./src/app/index.js",
                    "@dir": "./src/app",
                }
            }
        }
    ]
};
