var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { FormComponent } from "../../components/formComponent";
import { StoryBuilder } from "../storyBuilder";
export default {
    title: 'Example/Form dictionaries',
    component: FormComponent,
};
var template = function (args) { return _jsx(FormComponent, __assign({}, args), void 0); };
export var staticDictionary = StoryBuilder.build(template, 'Static dictionaries', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', dictionary: 'static', renderer: 'dropdown', ui: { label: 'Dictionary with static content' } },
        { name: 'child1-label', binding: 'b1.key', renderer: 'label', ui: { label: 'String readonly field (bound to dropdown selected key field)' } },
        { name: 'child1-value', binding: 'b1.name', renderer: 'label', ui: { label: 'String readonly field (bound to dropdown selected value field)' } }
    ], dictionaries: {
        static: [
            { key: 1, name: 'first' },
            { key: 2, name: 'second' },
            { key: 3, name: 'third' }
        ]
    } });
export var dynamicDictionary = StoryBuilder.build(template, 'Dynamic dictionaries', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', dictionary: 'https://restcountries.eu/rest/v2/all', renderer: 'dropdown', ui: { displayProperty: 'demonym', label: 'Dictionary with static content' } },
        { name: 'child1-label', binding: 'b1.cioc', renderer: 'label', ui: { label: 'String readonly field (bound to dropdown selected key field)' } },
        { name: 'child1-value', binding: 'b1.name', renderer: 'label', ui: { label: 'String readonly field (bound to dropdown selected value field)' } }
    ] });
export var dynamicStringDictionary = StoryBuilder.build(template, 'Dynamic string dictionaries', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', dictionary: 'http://localhost:3000/exchanges', renderer: 'dropdown', ui: { label: 'Dictionary with list of strings' } },
        { name: 'child1-label', binding: 'b1.key', renderer: 'label', ui: { label: 'String readonly field (bound to dropdown selected key field)' } },
    ] });
//# sourceMappingURL=form-dictionaries.stories.js.map