var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { FormComponent } from "../../components/formComponent";
import { StoryBuilder } from "../storyBuilder";
export default {
    title: 'Example/Form primitives',
    component: FormComponent,
};
var template = function (args) { return _jsx(FormComponent, __assign({}, args), void 0); };
export var dataBinding = StoryBuilder.build(template, 'Data binding', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', renderer: 'textbox', ui: { label: 'String field (enter here and see result in label3 and wise verse)' } },
        { name: 'child2', binding: 'b2', renderer: 'textbox', ui: { label: 'Number field' }, type: 'number' },
        { name: 'child2', binding: 'b2', renderer: 'textbox', ui: { label: 'Boolean field' }, type: 'bool' },
        { name: 'child3', binding: 'b1', ui: { label: 'String readonly field (label3 bound to label1)' } }
    ] });
export var dynamicLabel = StoryBuilder.build(template, 'Dynamic label', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', renderer: 'textbox', ui: { label: 'label1 (enter "text-to-fire" to change label)' } },
        { name: 'child2', binding: 'b2', renderer: 'textbox', ui: { label: 'label2' }, dynamic: {
                prop: 'ui.label', val: 'new label',
                when: [{ binding: 'b1', fn: 'eq', val: 'text-to-fire' }]
            } }
    ] });
export var dynamicHidden = StoryBuilder.build(template, 'Dynamic hidden', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', renderer: 'textbox', ui: { label: 'label1 (enter "text-to-hide" to hide second control)' } },
        { name: 'child2', binding: 'b2', renderer: 'textbox', ui: { label: 'label2' }, dynamic: {
                prop: 'ui.hidden', val: true,
                when: [{ binding: 'b1', fn: 'eq', val: 'text-to-hide' }]
            } }
    ] });
export var dynamicDisable = StoryBuilder.build(template, 'Dynamic disable', { name: 'testContainerComponent',
    items: [
        { name: 'child1', binding: 'b1', renderer: 'textbox', ui: { label: 'label1 (enter "text-to-disable" to lock second control)' } },
        { name: 'child2', binding: 'b2', renderer: 'textbox', ui: { label: 'label2' }, dynamic: {
                prop: 'ui.disabled', val: true,
                when: [{ binding: 'b1', fn: 'eq', val: 'text-to-disable' }]
            } }
    ] });
//# sourceMappingURL=form-primitives.stories.js.map